vim.opt.colorcolumn    = '88'          -- set colour columns for good coding style
vim.opt.compatible     = false         -- disable compatibility to old-time vi
vim.opt.showmatch      = true          -- show matching brackets.
vim.opt.ignorecase     = true          -- case insensitive matching
vim.opt.cursorline     = true          -- highlights the current line in the editor
vim.opt.hlsearch       = true          -- highlight search results
vim.opt.number         = true          -- add line numbers
vim.opt.relativenumber = true          -- display relative line numbers
vim.opt.tabstop        = 4             -- number of columns occupied by a tab character
vim.opt.shiftwidth     = 4             -- width for autoindents
vim.opt.softtabstop    = 4             -- see multiple spaces as tabstops so <BS> does the right thing
vim.opt.linebreak      = true          -- wrap lines between words

vim.opt.listchars:append {
	eol      = "$",
	space    = "·",
	tab      = "▏ ",
	trail    = "_",
	nbsp     = "~",
	extends  = ">",
	precedes = "<",
}
vim.opt.list = true

vim.opt.spelllang = {'fr', 'en'}

vim.opt.splitbelow = true
vim.opt.splitright = true
